### Method

# EDataCal CalCache dup_timezone_as_string

since: 3.26

#### Declaration [src]

    gboolean
    e_cal_cache_dup_timezone_as_string (
      ECalCache* cal_cache,
      const gchar* tzid,
      gchar** out_zone_string,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Gets a timezone with given `tzid`, which had been previously put into the `cal_cache` with e_cal_cache_put_timezone(). The returned string is an iCal string for that ICalTimezone and should be freed with `g_free()` when no longer needed.

Available since: 3.26

#### Parameters

`tzid`

  Type: `const gchar*`

  A timezone ID to get.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`out_zone_string`

  Type: `gchar**`

  Return location for the `ICalTimezone` as iCal string.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.